#ifndef ABOUTWINDOW_H
#define ABOUTWINDOW_H
#include "QWidget"
#include "QFont"
#include "QLabel"
class MainWindow;
class AboutWindow : public QWidget
{
private:
    int _windowBlurRadius = 0;
    QWidget* _container = nullptr;
    QFont _labelFont;
    int mLastMainMode = -1;
    MainWindow* mHost;
public:
    static QSize getWindowSize(){
        return QSize(420,300);
    }
    void setLastMainMode(int mode){
        this->mLastMainMode = mode;
    }
    void setMainWindow(MainWindow* host);
    AboutWindow();
    QLabel * addCoverImage(QWidget * container,int windowBlurRadius);
    AboutWindow(QWidget * container,QSize& size,int windowBlurRadius);
};

#endif // ABOUTWINDOW_H
