#ifndef UPDATEDIALOG_H
#define UPDATEDIALOG_H
#include <string>
#include <QWidget>
#include <QPushButton>
using namespace std;
class QLabel;
class UpdateDialog : public QWidget
{
    Q_OBJECT
public:
    explicit UpdateDialog(QWidget *parent = nullptr);
    void setMessage(string& msg);
    void setTitle(const string& title);
    void setDownUrl(string& url){
       mDownUrl = QString(url.c_str());
    }
    void setCloseButtonText(const string& text){
        mCloseBtn->setText(QString(text.c_str()));
    }
    void setFocusUpdate(){
        _isFocusUpdate = true;
    }

    void show(){
        QWidget::show();
    }
private:
    int _radius = 10;
    bool _isFocusUpdate = false;
    QString mDownUrl;
    QPushButton* mCloseBtn;
    void paintEvent(QPaintEvent *event) override;
    QPushButton* getBtn(const string& text);
    QLabel* mContent = nullptr;
    QLabel* mTitle = nullptr;
signals:

};

#endif // UPDATEDIALOG_H
