#ifndef FILEUTILS_H
#define FILEUTILS_H
#include "QString"
using namespace std;
#include <vector>
#include <string>

class FileUtils
{
public:
    FileUtils();
    static string getHomePath();
    static int unCompress7zFile(const QString& inPath,const QString& outPath);
    static int unCompress7zFile(const QString& inPath);
    static int unCompress7zFileStd(const string& inPath,const string& outPath);
    static bool mkPathIfNotExist(const string& path);
    static bool existDir(const string& path);
    static bool existFile(const string& path);
    static vector<string> files(const string& dirPath);
    static vector<char> fileBytes(const string& path);
    static bool writeToFile(const char* data,const string& path,const string& outpath);
};

#endif // FILEUTILS_H
