#ifndef NAVSTRINGUTILS_H
#define NAVSTRINGUTILS_H
#include <iostream>

class NavStringUtils
{
public:
    NavStringUtils();
    static std::string getUUid();
    static std::string md5(const std::string&);
    static std::string aesCBCPKCS5PADDINGEncode(const std::string& pcInput,const std::string& key, const std::string& iv);
    static std::string aesCBCPKCS5PADDINGDecode(const std::string& pcInput,const std::string& key, const std::string& iv);
    static std::string aesCBCPKCS5PADDINGEncode2Byte(const std::string& pcInput,const std::string& key, const std::string& iv);

    static std::string base64(unsigned char* encrypt_data,int size);
    static std::string base64QString(const std::string& encrypt_data);
    static inline bool is_base64(const char c);
    static std::string urlEncode(const std::string&url);
    static std::string base64_decode(std::string const & encoded_string);
    static std::string gbk2Utf8String(char* src,size_t inlen);
    static bool gbk2utf8(char* src, char* dest, size_t inlen);
};

#endif // NAVSTRINGUTILS_H
