#ifndef SYSTEMSEMAPHORE_H
#define SYSTEMSEMAPHORE_H
#include <QSystemSemaphore>

class SystemSemaphore:QSystemSemaphore
{
public:
    enum AccessMode
    {
        Open,
        Create
    };
    SystemSemaphore(const std::string &key, int initialValue = 0, AccessMode mode = Open);

    void acquire(){
        QSystemSemaphore::acquire();
    }

    void release(){
        QSystemSemaphore::release();
    }
};

#endif // SYSTEMSEMAPHORE_H
