#include "selectcountrycodewindow.h"
//#include "QtDebug"
//#include "QPainter"
//#include "QHBoxLayout"
//#include "QVBoxLayout"
//#include "QPushButton"
//#include "QPalette"
//#include "dataManager/net/netmanager.h"
//#include "dataManager/systemconfig.h"
//#include "utils/jsonutils.h"
//#include "QLineEdit"

//SelectCountryCodeWindow::SelectCountryCodeWindow(QWidget* parent):QWidget(parent)
//{
//    setWindowFlags(Qt::Popup);
//    setAttribute(Qt::WA_TranslucentBackground);
//    setFixedSize(mWidth,360);
//    QHBoxLayout* lay = new QHBoxLayout(this);
//    lay->setContentsMargins(0,0,0,0);
//    lay->setSpacing(0);
//    lay->setAlignment(Qt::AlignCenter);

//    initErrorLabel();
//    initLoadingLabel();
//    initContent();

//    lay->addWidget(mErrorLabel);
//    lay->addWidget(mLoadingLabel);
//    lay->addWidget(mContentWidget);
//    loadFromNet();
//}

//void SelectCountryCodeWindow::initErrorLabel(){
//    mErrorLabel = new QPushButton();
//    mErrorLabel->setText("加载失败，点击重试");
//    mErrorLabel->setStyleSheet("background-color: rgba(255, 255, 255,0);border:none;font-size:14px;color:#444444");

//    connect(mErrorLabel,&QPushButton::clicked,this,[=]{
//        loadFromNet();
//    });
//}

//void SelectCountryCodeWindow::initLoadingLabel(){
//    mLoadingLabel = new QLabel;
//    mLoadingLabel->setStyleSheet("background-color: rgba(255, 255, 255,0);border:none;font-size:14px;color:#444444");
//    mLoadingLabel->setText("加载中...");
//}

//void SelectCountryCodeWindow::initContent(){
//    mContentWidget = new QWidget;
//    QVBoxLayout* contentlay = new QVBoxLayout(mContentWidget);
//    mListView = new QListWidget;
//    mListView->setStyleSheet("QListWidget{border-width:0px }"
//                                "QListWidget{background:rgba(255, 255, 255,0)}"
//                                "QListWidget::Item{padding-top:0px; padding-bottom:0px; }"
//                               "QListWidget::Item:hover{background:#DDDDDD; }"
//                               "QListWidget::item:selected{background:#DDDDDD; color:black;border-width:0px; }"
////                               "QListWidget::item:selected:!active{border-width:0px; background:lightgreen; }"
//                               );

//    connect(mListView,&QListWidget::itemClicked,this,[=](QListWidgetItem* item){
//        int count = mListView->count();

//        for(int i=0;i<count ;i++){
//            if(mListView->item(i) == item){
//                auto map = mDatas[i].toMap();
//                CountryCode c (
//                  map["id"].toInt(),
//                  map["cname"].toString(),
//                  map["ename"].toString(),
//                  map["num"].toInt(),
//                  map["normal"].toInt()
//                  );
//                emit selected(c);
//                this->close();
////                ///deleteLater();
//                break;
//            }
//        }
//    });

//    mListView->setVerticalScrollBarPolicy(Qt::ScrollBarAlwaysOff);
//    mListView->setHorizontalScrollBarPolicy(Qt::ScrollBarAlwaysOff);

//    contentlay->setContentsMargins(mPadding,mPadding,mPadding,mPadding);
//    contentlay->setSpacing(10);

//    QLineEdit* edit = new QLineEdit;
//    connect(edit,&QLineEdit::textChanged,this,[=](QString data){
//        qDebug () << data;
//        int count = mListView->count();
//        for(int i=0;i<count;i++){
//            QString cName = mCountryNames[i];
//            mListView->item(i)->setHidden(!data.isEmpty()&&(cName.indexOf(data) < 0));
//        }
//    });

//    edit->setStyleSheet("QLineEdit{font-size:14px;color:#444444;"
//                        "background:rgba(210, 210, 210,0.8);"
//                        "border-radius:14px;"
//                        "padding-left:10px;padding-top:4px;padding-bottom:4px;padding-right:10px}");
//    edit->setPlaceholderText("请输入所在国家或地区的中文名称");
//    contentlay->addWidget(edit);
//    contentlay->addWidget(mListView);
//}

//void SelectCountryCodeWindow::loadFromNet(){
//    mErrorLabel->setVisible(false);
//    mLoadingLabel->setVisible(true);
//    mContentWidget->setVisible(false);

//    int itemWidth = mWidth - mPadding *2;

//    NetManager* manager = new NetManager(this);
//    qDebug() << "serv : " << SystemConfig::instance()->getService();
//    manager->get(SystemConfig::instance()->getService() + "/static/area_list.json");
//    connect(manager,&NetManager::response,this,[=](NetManager* ,int code,QByteArray& data){
//        if(code !=200){
//            loadError();
//        }else{
//            mCountryNames.clear();

//            auto jsonData = JsonUtils::getArray(data);
//            mDatas = jsonData;
//            for(QVariant itemData : jsonData){
//                QMap<QString,QVariant> itemMap = itemData.toMap();
//                QListWidgetItem *item = new QListWidgetItem;
//                item->setSizeHint(QSize(itemWidth,43));
//                QWidget* itemWidge = new QWidget;
//                QHBoxLayout* lay = new QHBoxLayout(itemWidge);
//                lay->setContentsMargins(5,0,5,0);
//                lay->setSpacing(0);
//                QLabel* label = new QLabel;
//                QString name = itemMap["cname"].toString();
//                mCountryNames.push_back(name);
//                label->setText(name);
//                label->setStyleSheet("QLabel{color:#333;font-size : 13px}");
//                lay->addWidget(label);

//                lay->addStretch();

//                QLabel* code = new QLabel;
//                code->setText("+"+QString::number(itemMap["num"].toInt()));
//                code->setStyleSheet("QLabel{color:#333;font-size : 13px}");
//                lay->addWidget(code);

//                mListView->addItem(item);
//                mListView->setItemWidget(item,itemWidge);

//                mLoadingLabel->setVisible(false);
//                mContentWidget->setVisible(true);
//            }
//        }
//    });
//}

//void SelectCountryCodeWindow::loadError(){
//    mErrorLabel->setVisible(true);
//    mLoadingLabel->setVisible(false);
//    mContentWidget->setVisible(false);
//}

//SelectCountryCodeWindow::CountryCode::CountryCode(const int id,const QString cname,const QString ename,const int num,const int normal)
//    :id(id),cname(cname),ename(ename),num(num),normal(normal){}

//void SelectCountryCodeWindow::show(int x,int y){
//    move(x,y);
//    QWidget::show();
//}

//void SelectCountryCodeWindow::paintEvent(QPaintEvent *){
//    QPainter painter(this);
//    painter.setRenderHint(QPainter::Antialiasing);
//    painter.setPen(QColor(188,188,188));
//    painter.setBrush(QColor(240,240,240,243));
//    painter.drawRoundedRect(rect(),9,9);
//}

//void SelectCountryCodeWindow::closeEvent(QCloseEvent *){
//    deleteLater();

//}

//SelectCountryCodeWindow::~SelectCountryCodeWindow(){
////    qDebug() << "SelectCountryCodeWindow被回收";
//}
