#ifndef TIMEUTILS_H
#define TIMEUTILS_H
#include <QDateTime>
#include <QTimer>
class TimeUtils
{
public:
    TimeUtils();
    static long getCurrectTimeMils(){
        return QDateTime::currentDateTime().toMSecsSinceEpoch();
    }

    static std::string getCurrectUtfFormatString(){
        return QDateTime::currentDateTime().toUTC().addSecs(3600 * 8).toString("yyyy-MM-dd HH:mm:ss").toStdString();
    }

    static void delayMils(int mils,std::function<void ()> func){
        QObject* timeTarg = new QObject;
        QTimer::singleShot(mils,timeTarg,[=]{
            func();
            delete timeTarg;
        });
    }
};

#endif // TIMEUTILS_H
