#ifndef TMPMAINLOOP
#define TMPMAINLOOP
using namespace std;
#include <memory>
#include <functional>
#include <utils/mainlooper.h>
#include <mutex>
template<class T>
class TmpMainLoop{
private:
    mutex mMutex;
    vector<T> carrys;
//    std::function<void ()> callback;
    std::unique_ptr<MainLooper> mLooper;
    volatile bool isListenered = false;
public:
    TmpMainLoop(std::function<void ()> callback){
//        this->callback = callback;
        listener(callback);
    }
    void listener(std::function<void ()> callback){
        if(isListenered)return;
        isListenered = true;
        mLooper = make_unique<MainLooper>(callback);
    }

    void addToTasks(T& d){
        mMutex.lock();
        carrys.push_back(d);
        mMutex.unlock();
        mLooper.get()->addTask();
    }

    vector<T> getCarrys(){
        return carrys;
    }
};
#endif
