#ifndef QMCHECKBOX_H
#define QMCHECKBOX_H
#include <QCheckBox>
using namespace ::std;
#include "../dataManager/LangTransManager.cpp"
class QMCheckBox :public QCheckBox{
private:
    string _trKey;
public:
    QMCheckBox(const QString &text, QWidget *parent = Q_NULLPTR):QCheckBox(text,parent){}
    QMCheckBox(QWidget *parent = Q_NULLPTR):QCheckBox(parent){}
    void changeEvent(QEvent * e) override{
        if(e->type() == QEvent::LanguageChange && _trKey.length() > 0){
                setTextFromTr(QObject::tr(_trKey.c_str()),_trKey);
        }
    }

    void setTextFromTr(QString text,const string& trKey){
        this->_trKey = (string)trKey;
        setText(text);
    }
};
#endif
