#ifndef QMLINEEDIT_H
#define QMLINEEDIT_H
#include <QLineEdit>
#include "../dataManager/LangTransManager.cpp"
#include <QDebug>
#include <QKeyEvent>
class QMLineEdit :public QLineEdit{
    Q_OBJECT
private:
    string _trKey;
    void changeEvent(QEvent * e) override;
    bool eventFilter(QObject *target, QEvent *event) override;
public:
    QMLineEdit(QWidget *parent = Q_NULLPTR);
    void setPlaceholderTextFromTr(QString text,const string& trKey);

signals:
    void onKeyDown(int key);
};

#endif // QMLINEEDIT_H
