#ifndef TANSBYYWINDOW_H
#define TANSBYYWINDOW_H
#include <QGraphicsProxyWidget>
#include <QGraphicsView>
#include <QGraphicsScene>
class QTimeLine;
class TansByYWindow : public QGraphicsView
{
private:
    QGraphicsScene *mScene;
    QGraphicsProxyWidget * mContentView = nullptr;
    QGraphicsProxyWidget * mMenuView = nullptr;
    QTimeLine *mTimeLine = nullptr;
public:
    TansByYWindow();
    void addContentWidget(QWidget*);
    void addMenuWidget(QWidget*);
    void show();
    void foward();
    void back();
};

#endif // TANSBYYWINDOW_H
