#ifndef WINDOWMOREBTN_H
#define WINDOWMOREBTN_H
#include "QWidget"

class WindowMoreBtn:public QWidget
{

private:
    bool isFocued = false;
    QWidget* m_host = nullptr;
    bool mMaxMode = false;
public:
    WindowMoreBtn(QWidget* parent = nullptr);
    void paintEvent(QPaintEvent *event) override;
    void mousePressEvent(QMouseEvent *event) override;
    void mouseMoveEvent(QMouseEvent *event) override;
    void mouseReleaseEvent(QMouseEvent *event) override;
    void enterEvent(QEvent *event) override;
    void leaveEvent(QEvent *event) override;
};

#endif // WINDOWMOREBTN_H
