#ifndef WINDOWRESIZEBTN_H
#define WINDOWRESIZEBTN_H
#include "QWidget"

class WindowResizeBtn:public QWidget
{
private:
    bool isFocued = false;
    QWidget* m_host = nullptr;
    bool mMaxMode = false;
public:
    WindowResizeBtn(QWidget* parent = nullptr);
    void paintEvent(QPaintEvent *event) override;
    void mousePressEvent(QMouseEvent *event) override;
    void mouseMoveEvent(QMouseEvent *event) override;
    void mouseReleaseEvent(QMouseEvent *event) override;
    void enterEvent(QEvent *event) override;
    void leaveEvent(QEvent *event) override;
    void setHost(QWidget* host);
    void refreMode();
};

#endif // WINDOWRESIZEBTN_H
