#ifndef PLATETOCLOSEPAGE_H
#define PLATETOCLOSEPAGE_H
#include "QWidget"
#include "QDebug"
#include "QLabel"

class PlateToClosePage:public QWidget
{
private:
    int _radius = 19;
    QSize _screenSize;
    int _countDown = 60;
    QWidget* _host = nullptr;
    QLabel * _countdownLabel;
public:
    explicit PlateToClosePage(QSize & size,QWidget* parent = nullptr);
    void showAnim();
    void closeAnim();
    void layPosition();
    void setMessage(QString & msg);
    void paintEvent(QPaintEvent *event) override;
    ~PlateToClosePage(){
        qDebug () << "delete PlateToClosePage";
    }
    void setHost(QWidget* host){
        _host = host;
    }
};

#endif // PLATETOCLOSEPAGE_H
