#ifndef LOGINCONTAIN_H
#define LOGINCONTAIN_H
#include "logincontain.h"
#include <QWidget>
#include <QPainter>
class LoginContain : public QWidget
{
public:
    int mRadius=0;
    int mFixWidth = 0;
    int mFixHeight = 0;
    LoginContain(QWidget* parent,int radius):QWidget(parent){
        mRadius = radius;
    }

    void setRadius(int radius){
        mRadius = radius;
        update();
    }

    ~LoginContain(){
    }

    void paintEvent(QPaintEvent *) override{
        QPainter painter(this);
        painter.setBrush(Qt::white);
        painter.setPen(Qt::NoPen);
        painter.setRenderHint(QPainter::Antialiasing);
        painter.drawRoundedRect(0,0,width(),height(),mRadius,mRadius);

        if(mRadius == 0){
            painter.setBrush(Qt::NoBrush);
            QPen pen;
            pen.setWidth(1);
            pen.setColor(QColor(0xaa,0xaa,0xaa));
            painter.setPen(pen);
            painter.drawRect(rect());
        }
    }

    void setSize(int w ,int h){
        setFixedSize(w,h);
    }
};
#endif
