#include "mainlooper.h"
#include <QMetaObject>

MainLooper::MainLooper(std::function<void ()> callback,QObject *parent) : QObject(parent)
{
    this->mCallback = callback;
}

void MainLooper::addTask(void* data){
    if(data){
        addCarry(data);
    }
    QMetaObject::invokeMethod(this,"run",Qt::AutoConnection);
}

void MainLooper::run(){
    if(mCallback)mCallback();
}
