#include "mainthreadhandler.h"
#include <QMetaMethod>

MainThreadHandler::MainThreadHandler(QObject* q):QObject(q)
{

}

void MainThreadHandler::addToMainThreadTask(){
    emit run();
}

void MainThreadHandler::setListener(const QMetaMethod &signal,const QMetaMethod &method){
    connect(this,signal,this,method);
}

void MainThreadHandler::addTaskToThread(QVariant data){
    emit task(data);
}
