#ifndef MAINTHREADHANDLER_H
#define MAINTHREADHANDLER_H
#include <QVariant>
#include <QObject>

class MainThreadHandler :public QObject
{
    Q_OBJECT
public:
    explicit MainThreadHandler(QObject* p = nullptr);
    void addToMainThreadTask();
    void addTaskToThread(QVariant data);
    void setListener(const QMetaMethod &signal,const QMetaMethod &method);
signals:
    void run();
    void task(QVariant data);
};

#endif // MAINTHREADHANDLER_H
