#ifndef SYSTEMINFO_H
#define SYSTEMINFO_H

#include <iostream>
using namespace std;
#include <string.h>
#include <QSysInfo>
#include <QString>

class SystemInfo
{
public:
    SystemInfo();
    static std::string kernelType(){
        return QSysInfo::kernelType().toStdString();
    }

    static std::string prettyProductName(){
        return QSysInfo::prettyProductName().toStdString();
    }
};

#endif // SYSTEMINFO_H
