#ifndef CLICKEDLABEL_H
#define CLICKEDLABEL_H

#include <QLabel>

class ClickedLabel : public QLabel
{
    Q_OBJECT
public:
    explicit ClickedLabel(QWidget* p = nullptr);
    void mouseReleaseEvent(QMouseEvent *ev) override;
    void mousePressEvent(QMouseEvent *) override {};
signals:
    void clicked();
    void clickedPos(QPoint local,QPoint  global);//直接复制，不要加引用
};

#endif // CLICKEDLABEL_H
