#ifndef DRAGEVENT_H
#define DRAGEVENT_H
#include "QMouseEvent"

class DragEvent
{
public:
//    virtual ~MouseEventListener() = 0;
    virtual void mouseMoveEvent(QMouseEvent *event) = 0;
    virtual void mousePressEvent(QMouseEvent *event) = 0;
    virtual void mouseReleaseEvent(QMouseEvent *event) = 0;
    virtual void leaveEvent(QEvent *event) = 0;
    virtual void mouseDoubleClickEvent(QMouseEvent *event) = 0;
    virtual bool canMove() = 0;
    virtual QPoint* getMovedPoint() = 0;
};

#endif // MOUSEEVENTLISTENER_H
