#ifndef MOUSEINOUTEVWIDGET_H
#define MOUSEINOUTEVWIDGET_H
#include "QLabel"
#include "QMouseEvent"

class MouseInOutEvWidget:public QLabel
{
    Q_OBJECT
public:
    explicit MouseInOutEvWidget(QWidget* p = nullptr);
    void enterEvent(QEvent *event) override;
    void leaveEvent(QEvent *event) override;
    void mousePressEvent(QMouseEvent *) override{}
    void mouseReleaseEvent(QMouseEvent *ev) override{
        QPoint p = ev->pos();
        emit clicked(p);
    }
   signals:
    void mouseEvent(bool enter);
    void clicked(QPoint&);
};

#endif // MOUSEINOUTEVWIDGET_H
